Skip to main content
POST
/
v6
/
files
/
query
Query files
curl --request POST \
  --url https://sandbox.tight.com/v6/files/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cursor": "<string>",
  "limit": 123,
  "sort": {
    "orderBy": "DATE",
    "direction": "ASC"
  },
  "filter": {
    "description": {
      "equal": "<string>",
      "notEqual": "<string>",
      "greaterThan": "<string>",
      "greaterThanEqual": "<string>",
      "lessThan": "<string>",
      "lessThanEqual": "<string>",
      "contain": "<string>"
    },
    "notes": {
      "equal": "<string>",
      "notEqual": "<string>",
      "greaterThan": "<string>",
      "greaterThanEqual": "<string>",
      "lessThan": "<string>",
      "lessThanEqual": "<string>",
      "contain": "<string>"
    },
    "date": {
      "equal": "2023-12-25",
      "notEqual": "2023-12-25",
      "greaterThan": "2023-12-25",
      "greaterThanEqual": "2023-12-25",
      "lessThan": "2023-12-25",
      "lessThanEqual": "2023-12-25"
    },
    "amount": {
      "equal": 123,
      "notEqual": 123,
      "greaterThan": 123,
      "greaterThanEqual": 123,
      "lessThan": 123,
      "lessThanEqual": 123
    }
  }
}
'
{
  "result": "SUCCESS",
  "data": [
    {
      "id": "fil_28868401",
      "entity": {
        "id": "btxn_28868401"
      },
      "description": "Q1 2024 invoice",
      "notes": "Received from vendor on 2024-01-15",
      "url": "https://cdn.sandbox.tight.com/files/fil_28868401.pdf",
      "date": "2024-01-15",
      "amount": 15000,
      "status": "ACTIVE",
      "customData": {
        "internal_key": "some_internal_key",
        "some_other_field": 23434
      }
    }
  ],
  "cursor": {
    "after": "<string>",
    "before": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
cursor
string | null

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Required range: x <= 250
sort
object

Sort order for the items in the response.

filter
object

Filter for items in the response.

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.

cursor
object

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.